mk_analyze_hdr(1)

NAME
mk_analyze_hdr - Make Analyze header file

SYNOPSIS
mk_analyze_hdr [options] [output.nii]

DESCRIPTION
Make header file according Analzye 7.5 format based on user-supplied parameters for geometry, data type, orientation, etc.

OPTIONS

  Global Toolkit Options (these are shared by all CMTK tools)

--help
    Write list of basic command line options to standard output.

--help-all
    Write complete list of basic and advanced command line options to standard output.

--wiki
    Write list of command line options to standard output in MediaWiki markup.

--man
    Write man page source in 'nroff' markup to standard output.

--version
    Write toolkit version to standard output.

--echo
    Write the current command line to standard output.

--verbose-level <integer>
    Set verbosity level.

--verbose, -v
    Increment verbosity level by 1 (deprecated; supported for backward compatibility).

--threads <integer>
    Set maximum number of parallel threads (for POSIX threads and OpenMP).

  Main Options

--dims <string>, -D <string>
    Set dimensions in voxels

--voxel <string>, -V <string>
    Set voxel size in [mm]

--offset <float>, -O <float>
    Binary data file offset [Default: disabled]

--byte, -b
    8 bits, unsigned (this is the default)

--char, -c
    8 bits, signed

--short, -s
    16 bits, signed

--ushort, -u
    16 bits, unsigned

--int, -i
    32 bits signed

--float, -f
    32 bits floating point

--double, -d
    64 bits floating point

--big-endian, -B
    Big endian data [This is the default]

--little-endian, -L
    Little endian data

--axial
    Set slice orientation to axial (this is the default)

--axial-flip
    Set slice orientation to reverse axial

--sagittal
    Set slice orientation to sagittal

--sagittal-flip
    Set slice orientation to reverse sagittal

--coronal
    Set slice orientation to corona;

--coronal-flip
    Set slice orientation to reverse coronal

--legacy
    Legacy mode; do not write 'SRI1' tag into header

--SRI1
    Force 'SRI1' tag even if not present in imported header

--import <string>, -I <string>
    Import data from given header file. [Default: NONE]

--description <string>
    Set description string [max. 80 characters] [Default: NONE]

AUTHORS
Torsten Rohlfing, with contributions from Michael P. Hasak, Greg Jefferis, Calvin R. Maurer, Daniel B. Russakoff, and Yaroslav Halchenko

LICENSE
http://www.fsf.org/licensing/licenses/gpl.html

BUGS
Report bugs at http://nitrc.org/projects/cmtk/

ACKNOWLEDGMENTS
CMTK is developed with support from the NIAAA under Grant AA021697, National Consortium on Alcohol and Neurodevelopment in Adolescence (N-CANDA): Data Integration Component. From April 2009 through September 2011, CMTK development and maintenance was supported by the NIBIB under Grant EB008381.